package dao

import "youngee_b_api/app/entity"

type EnterpriseDao struct{}

func (d EnterpriseDao) GetEnterprise(enterpriseId string) (*entity.Enterprise, error) {
	var enterprise entity.Enterprise
	err := Db.Model(&entity.Enterprise{}).Where("enterprise_id = ?", enterpriseId).Select("business_name, user_id").First(&enterprise).Error
	if err != nil {
		return nil, err
	}
	return &enterprise, nil
}

func (d EnterpriseDao) GetEnterprisePhone(enterpriseId string) (string, error) {
	var phone string
	err := Db.Model(&entity.Enterprise{}).Where("enterprise_id = ?", enterpriseId).Select("phone").First(&phone).Error
	if err != nil {
		return "", err
	}
	return phone, nil
}
