package dao

import (
	"github.com/sirupsen/logrus"
	"youngee_b_api/app/entity"
)

type TalentInfoDao struct{}

func (d TalentInfoDao) SelectTalentPhone(talentId string) (*string, error) {
	var talentInfo *entity.YoungeeTalentInfo
	err := Db.Model(entity.YoungeeTalentInfo{}).Select("talent_phone_number").Where("id = ?", talentId).Find(&talentInfo).Error
	if err != nil {
		logrus.Errorf("[SelectTalentInfo] error query, err:%+v", err)
		return nil, err
	}
	return &talentInfo.TalentPhoneNumber, nil
}
