package review_service

import (
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/model"
)

/*
result.suggestion:

	block：包含敏感信息，不通过
	review：需要人工复检
	pass：不包含敏感信息，通过
*/
func (s *ReviewService) CheckDocumentInfo(jobId string) (*model.DocumentQueryResponseResult, error) {
	request := &model.RunQueryDocumentModerationJobRequest{}
	request.JobId = jobId
	response, err := s.client.RunQueryDocumentModerationJob(request)
	if err != nil {
		return nil, err
	}
	result := response.Result
	return result, nil // 审核结果，当作业状态status为succeeded时存在。
}
