package http_model

type AddNewJobRequest struct {
	EnterpriseId         string `json:"enterprise_id"`         // 企业ID
	JobName              string `json:"job_name"`              // 岗位名称
	JobDetail            string `json:"job_detail"`            // 企业描述
	WorkshopPermission   string `json:"workshop_permission"`   // 工作台权限
	TaskcenterPermission string `json:"taskcenter_permission"` // 任务中心权限
	CooperatePermission  string `json:"cooperate_permission"`  // 推广合作中心权限
	FinancialPermission  string `json:"financial_permission"`  // 财务结算权限
}

type AddNewJobData struct {
}

func NewAddNewJobRequest() *AddNewJobRequest {
	return new(AddNewJobRequest)
}
func NewAddNewJobResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(AddNewJobData)
	return resp
}
